Public Member Functions

# PerformanceHistoryGraphWindow Struct Reference

Inheritance diagram for PerformanceHistoryGraphWindow:

## Public Member Functions
| PerformanceHistoryGraphWindow (const WindowDesc *desc, WindowNumber window_number)
virtual OverflowSafeInt64 | GetGraphData (const Company *c, int j)
virtual void | OnClick (Point pt, int widget, int click_count)
| A click with the left mouse button has been made on the window.

## Detailed Description

Definition at line 759 of file graph_gui.cpp.

## Member Function Documentation

virtual void PerformanceHistoryGraphWindow::OnClick | ( | Point | pt,
|  | int | widget,
|  | int | click_count |
| ) |  |  | `[inline, virtual]`

A click with the left mouse button has been made on the window.

Parameters:

  | pt | the point inside the window that has been clicked.
  | widget | the clicked widget.
  | click_count | Number of fast consecutive clicks at same position

Reimplemented from BaseGraphWindow.

Definition at line 771 of file graph_gui.cpp.

References WID_PHG_DETAILED_PERFORMANCE.

The documentation for this struct was generated from the following file:

- src/graph_gui.cpp